# Poco

# class RotateStrategy

Library: Foundation
Package: Logging
Header: Poco/RotateStrategy.h

## Description

The RotateStrategy is used by LogFile to determine when a file must be rotated.

## Inheritance

Known Derived Classes: RotateAtTimeStrategy, RotateByIntervalStrategy, RotateBySizeStrategy

## Member Summary

Member Functions: mustRotate

## Constructors

### RotateStrategy

RotateStrategy();

## Destructor

### ~RotateStrategy

virtual ~RotateStrategy();

## Member Functions

### mustRotate

virtual bool mustRotate(
LogFile * pFile
) = 0;

Returns true if the given log file must be rotated, false otherwise.